Get Account Periodic Payments
curl --request GET \
--url https://api.yapily.com/accounts/{accountId}/periodic-payments \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/accounts/{accountId}/periodic-payments"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/accounts/{accountId}/periodic-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "51d039be096f492ca5184d4ea72b4caf",
"count": 1,
"pagination": {
"totalCount": 1,
"self": {
"limit": 1000
}
}
},
"data": [
{
"id": "95d29cb3-5ef4-4c92-885f-8ba971adc5d1",
"statusDetails": {
"status": "UNKNOWN"
},
"payeeDetails": {
"name": "xxxxx129",
"accountIdentifications": [
{
"type": "IBAN",
"identification": "DE16700222000072880129"
}
]
},
"reference": "544878_60c0809a",
"firstPaymentAmount": {
"amount": 1259,
"currency": "GBP"
},
"firstPaymentDateTime": "2021-07-10T23:00:00Z",
"nextPaymentAmount": {
"amount": 1259,
"currency": "GBP"
},
"nextPaymentDateTime": "2021-07-10T23:00:00Z",
"finalPaymentAmount": {
"amount": 1259,
"currency": "GBP"
},
"finalPaymentDateTime": "2022-04-11T23:00:00Z",
"frequency": {
"frequencyType": "MONTHLY",
"intervalMonth": 1,
"executionDay": 11
}
}
],
"links": {
"self": "https://api.yapily.com/accounts/700004000000000000000002/periodic-payments?limit=1000"
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Financial Data
Get Account Periodic Payments
Returns the list of periodic payments (standing orders in the UK) for an account.
Feature: ACCOUNT_PERIODIC_PAYMENTS
Get Account Periodic Payments
Learn more: Data Access Restrictions
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The consent-token containing the user's authorisation to make the request.
The sub-application ID to which event type is being subscribed to
Path Parameters
Mandatory. The account Id of the user's bank account.
Query Parameters
Optional. The maximum number of transaction records to be returned. Must be between 1 and 1000.
Was this page helpful?
⌘I